Index: uspace/srv/ns/ns.c
===================================================================
--- uspace/srv/ns/ns.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/ns/ns.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -49,8 +49,8 @@
 #include "task.h"
 
-static void ns_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void ns_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ipc_call_t call;
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	iface_t iface;
 	service_t service;
@@ -63,17 +63,17 @@
 		 */
 		if (service_clonable(service)) {
-			connect_to_clonable(service, iface, icall, iid);
+			connect_to_clonable(service, iface, icall, icall_handle);
 		} else {
-			connect_to_service(service, iface, icall, iid);
+			connect_to_service(service, iface, icall, icall_handle);
 		}
 		return;
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		process_pending_conn();
 
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		if (!IPC_GET_IMETHOD(call))
 			break;
@@ -94,5 +94,5 @@
 			 */
 			if (service_clonable(service)) {
-				register_clonable(service, phone, &call, callid);
+				register_clonable(service, phone, &call, chandle);
 				continue;
 			} else {
@@ -107,5 +107,5 @@
 			id = (task_id_t)
 			    MERGE_LOUP32(IPC_GET_ARG1(call), IPC_GET_ARG2(call));
-			wait_for_task(id, &call, callid);
+			wait_for_task(id, &call, chandle);
 			continue;
 		case NS_ID_INTRO:
@@ -121,5 +121,5 @@
 		}
 
-		async_answer_0(callid, retval);
+		async_answer_0(chandle, retval);
 	}
 
Index: uspace/srv/ns/service.c
===================================================================
--- uspace/srv/ns/service.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/ns/service.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -87,8 +87,8 @@
 typedef struct {
 	link_t link;
-	service_t service;    /**< Service ID */
-	iface_t iface;        /**< Interface ID */
-	cap_call_handle_t callid;  /**< Call ID waiting for the connection */
-	sysarg_t arg3;        /**< Third argument */
+	service_t service;         /**< Service ID */
+	iface_t iface;             /**< Interface ID */
+	cap_call_handle_t chandle; /**< Call handle waiting for the connection */
+	sysarg_t arg3;             /**< Third argument */
 } pending_conn_t;
 
@@ -119,5 +119,5 @@
 		hashed_service_t *hashed_service = hash_table_get_inst(link, hashed_service_t, link);
 		async_exch_t *exch = async_exchange_begin(hashed_service->sess);
-		async_forward_fast(pending->callid, exch, pending->iface,
+		async_forward_fast(pending->chandle, exch, pending->iface,
 		    pending->arg3, 0, IPC_FF_NONE);
 		async_exchange_end(exch);
@@ -163,5 +163,5 @@
  * @param iface   Interface to be connected to.
  * @param call    Pointer to call structure.
- * @param callid  Call ID of the request.
+ * @param chandle  Call ID of the request.
  *
  * @return Zero on success or a value from @ref errno.h.
@@ -169,5 +169,5 @@
  */
 void connect_to_service(service_t service, iface_t iface, ipc_call_t *call,
-    cap_call_handle_t callid)
+    cap_call_handle_t chandle)
 {
 	sysarg_t arg3 = IPC_GET_ARG3(*call);
@@ -189,5 +189,5 @@
 			pending->service = service;
 			pending->iface = iface;
-			pending->callid = callid;
+			pending->chandle = chandle;
 			pending->arg3 = arg3;
 
@@ -202,10 +202,10 @@
 	hashed_service_t *hashed_service = hash_table_get_inst(link, hashed_service_t, link);
 	async_exch_t *exch = async_exchange_begin(hashed_service->sess);
-	async_forward_fast(callid, exch, iface, arg3, 0, IPC_FF_NONE);
+	async_forward_fast(chandle, exch, iface, arg3, 0, IPC_FF_NONE);
 	async_exchange_end(exch);
 	return;
 
 out:
-	async_answer_0(callid, retval);
+	async_answer_0(chandle, retval);
 }
 
Index: uspace/srv/ns/task.c
===================================================================
--- uspace/srv/ns/task.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/ns/task.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -146,5 +146,5 @@
 	link_t link;
 	task_id_t id;         /**< Task ID. */
-	cap_call_handle_t callid;  /**< Call ID waiting for the connection */
+	cap_call_handle_t chandle;  /**< Call ID waiting for the connection */
 } pending_wait_t;
 
@@ -184,5 +184,5 @@
 		texit = ht->have_rval ? TASK_EXIT_NORMAL :
 		    TASK_EXIT_UNEXPECTED;
-		async_answer_2(pr->callid, EOK, texit, ht->retval);
+		async_answer_2(pr->chandle, EOK, texit, ht->retval);
 
 		list_remove(&pr->link);
@@ -192,5 +192,5 @@
 }
 
-void wait_for_task(task_id_t id, ipc_call_t *call, cap_call_handle_t callid)
+void wait_for_task(task_id_t id, ipc_call_t *call, cap_call_handle_t chandle)
 {
 	ht_link_t *link = hash_table_find(&task_hash_table, &id);
@@ -200,5 +200,5 @@
 	if (ht == NULL) {
 		/* No such task exists. */
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
@@ -207,5 +207,5 @@
 		task_exit_t texit = ht->have_rval ? TASK_EXIT_NORMAL :
 		    TASK_EXIT_UNEXPECTED;
-		async_answer_2(callid, EOK, texit, ht->retval);
+		async_answer_2(chandle, EOK, texit, ht->retval);
 		return;
 	}
@@ -215,5 +215,5 @@
 	    (pending_wait_t *) malloc(sizeof(pending_wait_t));
 	if (!pr) {
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
@@ -221,5 +221,5 @@
 	link_initialize(&pr->link);
 	pr->id = id;
-	pr->callid = callid;
+	pr->chandle = chandle;
 	list_append(&pr->link, &pending_wait);
 }
Index: uspace/srv/taskmon/taskmon.c
===================================================================
--- uspace/srv/taskmon/taskmon.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/taskmon/taskmon.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -94,28 +94,28 @@
 }
 
-static void corecfg_get_enable_srv(cap_call_handle_t iid, ipc_call_t *icall)
+static void corecfg_get_enable_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
-	async_answer_1(iid, EOK, write_core_files);
+	async_answer_1(icall_handle, EOK, write_core_files);
 }
 
-static void corecfg_set_enable_srv(cap_call_handle_t iid, ipc_call_t *icall)
+static void corecfg_set_enable_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	write_core_files = IPC_GET_ARG1(*icall);
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
-static void corecfg_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void corecfg_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -123,8 +123,8 @@
 		switch (method) {
 		case CORECFG_GET_ENABLE:
-			corecfg_get_enable_srv(callid, &call);
+			corecfg_get_enable_srv(chandle, &call);
 			break;
 		case CORECFG_SET_ENABLE:
-			corecfg_set_enable_srv(callid, &call);
+			corecfg_set_enable_srv(chandle, &call);
 			break;
 		}
Index: uspace/srv/test/chardev-test/main.c
===================================================================
--- uspace/srv/test/chardev-test/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/test/chardev-test/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -84,5 +84,5 @@
 };
 
-static void chardev_test_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void chardev_test_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	chardev_srvs_t *svc;
@@ -97,9 +97,9 @@
 		svc = &partialx_srvs;
 	} else {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
 
-	chardev_conn(iid, icall, svc);
+	chardev_conn(icall_handle, icall, svc);
 }
 
Index: uspace/srv/vfs/vfs.c
===================================================================
--- uspace/srv/vfs/vfs.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/vfs/vfs.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -55,11 +55,11 @@
 #define NAME  "vfs"
 
-static void vfs_pager(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void vfs_pager(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -68,8 +68,8 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case IPC_M_PAGE_IN:
-			vfs_page_in(callid, &call);
+			vfs_page_in(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
Index: uspace/srv/vfs/vfs.h
===================================================================
--- uspace/srv/vfs/vfs.h	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/vfs/vfs.h	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -233,5 +233,5 @@
 extern errno_t vfs_rdwr_internal(int, aoff64_t, bool, rdwr_io_chunk_t *);
 
-extern void vfs_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+extern void vfs_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 #endif
Index: uspace/srv/vfs/vfs_ipc.c
===================================================================
--- uspace/srv/vfs/vfs_ipc.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/vfs/vfs_ipc.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -50,5 +50,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*request);
 	char *fs_name = NULL;
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	vfs_fs_probe_info_t info;
 	size_t len;
@@ -72,10 +72,10 @@
 
 	/* Now we should get a read request */
-	if (!async_data_read_receive(&callid, &len))
+	if (!async_data_read_receive(&chandle, &len))
 		goto out;
 
 	if (len > sizeof(info))
 		len = sizeof(info);
-	(void) async_data_read_finalize(callid, &info, len);
+	(void) async_data_read_finalize(chandle, &info, len);
 
 out:
@@ -85,5 +85,5 @@
 static void vfs_in_fstypes(cap_call_handle_t rid, ipc_call_t *request)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
 	vfs_fstypes_t fstypes;
@@ -100,10 +100,10 @@
 
 	/* Now we should get a read request */
-	if (!async_data_read_receive(&callid, &len))
+	if (!async_data_read_receive(&chandle, &len))
 		goto out;
 
 	if (len > fstypes.size)
 		len = fstypes.size;
-	(void) async_data_read_finalize(callid, fstypes.buf, len);
+	(void) async_data_read_finalize(chandle, fstypes.buf, len);
 
 out:
@@ -315,5 +315,5 @@
 }
 
-void vfs_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void vfs_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	bool cont = true;
@@ -323,9 +323,9 @@
 	 * This call needs to be answered.
 	 */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (cont) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -334,60 +334,60 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case VFS_IN_CLONE:
-			vfs_in_clone(callid, &call);
+			vfs_in_clone(chandle, &call);
 			break;
 		case VFS_IN_FSPROBE:
-			vfs_in_fsprobe(callid, &call);
+			vfs_in_fsprobe(chandle, &call);
 			break;
 		case VFS_IN_FSTYPES:
-			vfs_in_fstypes(callid, &call);
+			vfs_in_fstypes(chandle, &call);
 			break;
 		case VFS_IN_MOUNT:
-			vfs_in_mount(callid, &call);
+			vfs_in_mount(chandle, &call);
 			break;
 		case VFS_IN_OPEN:
-			vfs_in_open(callid, &call);
+			vfs_in_open(chandle, &call);
 			break;
 		case VFS_IN_PUT:
-			vfs_in_put(callid, &call);
+			vfs_in_put(chandle, &call);
 			break;
 		case VFS_IN_READ:
-			vfs_in_read(callid, &call);
+			vfs_in_read(chandle, &call);
 			break;
 		case VFS_IN_REGISTER:
-			vfs_register(callid, &call);
+			vfs_register(chandle, &call);
 			cont = false;
 			break;
 		case VFS_IN_RENAME:
-			vfs_in_rename(callid, &call);
+			vfs_in_rename(chandle, &call);
 			break;
 		case VFS_IN_RESIZE:
-			vfs_in_resize(callid, &call);
+			vfs_in_resize(chandle, &call);
 			break;
 		case VFS_IN_STAT:
-			vfs_in_stat(callid, &call);
+			vfs_in_stat(chandle, &call);
 			break;
 		case VFS_IN_STATFS:
-			vfs_in_statfs(callid, &call);
+			vfs_in_statfs(chandle, &call);
 			break;
 		case VFS_IN_SYNC:
-			vfs_in_sync(callid, &call);
+			vfs_in_sync(chandle, &call);
 			break;
 		case VFS_IN_UNLINK:
-			vfs_in_unlink(callid, &call);
+			vfs_in_unlink(chandle, &call);
 			break;
 		case VFS_IN_UNMOUNT:
-			vfs_in_unmount(callid, &call);
+			vfs_in_unmount(chandle, &call);
 			break;
 		case VFS_IN_WAIT_HANDLE:
-			vfs_in_wait_handle(callid, &call);
+			vfs_in_wait_handle(chandle, &call);
 			break;
 		case VFS_IN_WALK:
-			vfs_in_walk(callid, &call);
+			vfs_in_walk(chandle, &call);
 			break;
 		case VFS_IN_WRITE:
-			vfs_in_write(callid, &call);
+			vfs_in_write(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
Index: uspace/srv/vfs/vfs_register.c
===================================================================
--- uspace/srv/vfs/vfs_register.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/vfs/vfs_register.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -195,6 +195,6 @@
 
 	size_t size;
-	cap_call_handle_t callid;
-	if (!async_share_in_receive(&callid, &size)) {
+	cap_call_handle_t chandle;
+	if (!async_share_in_receive(&chandle, &size)) {
 		dprintf("Unexpected call\n");
 		list_remove(&fs_info->fs_link);
@@ -202,5 +202,5 @@
 		async_hangup(fs_info->sess);
 		free(fs_info);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		async_answer_0(rid, EINVAL);
 		return;
@@ -216,5 +216,5 @@
 		async_hangup(fs_info->sess);
 		free(fs_info);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		async_answer_0(rid, EINVAL);
 		return;
@@ -224,5 +224,5 @@
 	 * Commit to read-only sharing the PLB with the client.
 	 */
-	(void) async_share_in_finalize(callid, plb,
+	(void) async_share_in_finalize(chandle, plb,
 	    AS_AREA_READ | AS_AREA_CACHEABLE);
 
Index: uspace/srv/volsrv/volsrv.c
===================================================================
--- uspace/srv/volsrv/volsrv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/volsrv/volsrv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -85,14 +85,14 @@
 }
 
-static void vol_get_parts_srv(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void vol_get_parts_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -100,6 +100,6 @@
 	service_id_t *id_buf = (service_id_t *) malloc(size);
 	if (id_buf == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -107,16 +107,16 @@
 	rc = vol_part_get_ids(id_buf, size, &act_size);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, id_buf, size);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(iid, retval, act_size);
-}
-
-static void vol_part_add_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_1(icall_handle, retval, act_size);
+}
+
+static void vol_part_add_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -127,12 +127,12 @@
 	rc = vol_part_add(sid);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vol_part_info_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_part_info_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -146,5 +146,5 @@
 	rc = vol_part_find_by_id(sid, &part);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -152,34 +152,34 @@
 	rc = vol_part_get_info(part, &pinfo);
 	if (rc != EOK) {
-		async_answer_0(iid, EIO);
-		return;
-	}
-
-	cap_call_handle_t callid;
+		async_answer_0(icall_handle, EIO);
+		return;
+	}
+
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(vol_part_info_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &pinfo,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &pinfo,
 	    min(size, sizeof(pinfo)));
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vol_part_empty_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_part_empty_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -192,5 +192,5 @@
 	rc = vol_part_find_by_id(sid, &part);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -198,12 +198,12 @@
 	rc = vol_part_empty_part(part);
 	if (rc != EOK) {
-		async_answer_0(iid, EIO);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-static void vol_part_get_lsupp_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(icall_handle, EIO);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_part_get_lsupp_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	vol_fstype_t fstype;
@@ -217,31 +217,31 @@
 	volsrv_part_get_lsupp(fstype, &vlsupp);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(vol_label_supp_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &vlsupp,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &vlsupp,
 	    min(size, sizeof(vlsupp)));
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, EOK);
-}
-
-
-static void vol_part_mkfs_srv(cap_call_handle_t iid, ipc_call_t *icall)
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, EOK);
+}
+
+
+static void vol_part_mkfs_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	service_id_t sid;
@@ -257,5 +257,5 @@
 	    0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -267,5 +267,5 @@
 	if (rc != EOK) {
 		free(label);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -274,27 +274,27 @@
 	if (rc != EOK) {
 		free(label);
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
 
 	free(label);
-	async_answer_0(iid, EOK);
-}
-
-static void vol_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vol_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_client_conn()");
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -302,23 +302,23 @@
 		switch (method) {
 		case VOL_GET_PARTS:
-			vol_get_parts_srv(callid, &call);
+			vol_get_parts_srv(chandle, &call);
 			break;
 		case VOL_PART_ADD:
-			vol_part_add_srv(callid, &call);
+			vol_part_add_srv(chandle, &call);
 			break;
 		case VOL_PART_INFO:
-			vol_part_info_srv(callid, &call);
+			vol_part_info_srv(chandle, &call);
 			break;
 		case VOL_PART_EMPTY:
-			vol_part_empty_srv(callid, &call);
+			vol_part_empty_srv(chandle, &call);
 			break;
 		case VOL_PART_LSUPP:
-			vol_part_get_lsupp_srv(callid, &call);
+			vol_part_get_lsupp_srv(chandle, &call);
 			break;
 		case VOL_PART_MKFS:
-			vol_part_mkfs_srv(callid, &call);
+			vol_part_mkfs_srv(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
